/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { getHeaders } from "@managed-api/commons-core";
export function constructHeaders(body, manualHeaders) {
    return getHeaders(body, manualHeaders);
}
export async function errorMessageBuilder(response, reason) {
    var _a, _b;
    try {
        const error = await response.json();
        if ((_b = (_a = error) === null || _a === void 0 ? void 0 : _a['o:errorDetails']) === null || _b === void 0 ? void 0 : _b.length) {
            const errorMessages = error['o:errorDetails'].map(err => err.detail);
            return `${reason} - ${error.title} ${errorMessages.join('. ')}`;
        }
        else {
            return `${reason} - ${error.title}`;
        }
    }
    catch { }
    return reason;
}
//# sourceMappingURL=common.js.map