/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ReferenceLinksAsResponse } from "../definitions/ReferenceLinksAsResponse";
import { GitUserDateAsResponse } from "../definitions/GitUserDateAsResponse";
import { ChangeCountDictionaryAsResponse } from "../definitions/ChangeCountDictionaryAsResponse";
import { GitChangeAsResponse } from "../definitions/GitChangeAsResponse";
import { GitPushRefAsResponse } from "../definitions/GitPushRefAsResponse";
import { GitStatusAsResponse } from "../definitions/GitStatusAsResponse";
import { ResourceRefAsResponse } from "../definitions/ResourceRefAsResponse";
export interface GitCommitRefAsResponse {
    _links?: ReferenceLinksAsResponse;
    author?: GitUserDateAsResponse;
    changeCounts?: ChangeCountDictionaryAsResponse;
    /**
     * An enumeration of the changes included with the commit.
     */
    changes?: Array<GitChangeAsResponse>;
    /**
     * Comment or message of the commit.
     */
    comment?: string;
    /**
     * Indicates if the comment is truncated from the full Git commit comment message.
     */
    commentTruncated?: boolean;
    /**
     * ID (SHA-1) of the commit.
     */
    commitId?: string;
    committer?: GitUserDateAsResponse;
    /**
     * Indicates that commit contains too many changes to be displayed
     */
    commitTooManyChanges?: boolean;
    /**
     * An enumeration of the parent commit IDs for this commit.
     */
    parents?: Array<string>;
    push?: GitPushRefAsResponse;
    /**
     * Remote URL path to the commit.
     */
    remoteUrl?: string;
    /**
     * A list of status metadata from services and extensions that may associate additional information to the commit.
     */
    statuses?: Array<GitStatusAsResponse>;
    /**
     * REST URL for this resource.
     */
    url?: string;
    /**
     * A list of workitems associated with this commit.
     */
    workItems?: Array<ResourceRefAsResponse>;
}
//# sourceMappingURL=GitCommitRefAsResponse.d.ts.map