/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ReferenceLinksAsResponse } from "../definitions/ReferenceLinksAsResponse";
import { GitRepositoryRefAsResponse } from "../definitions/GitRepositoryRefAsResponse";
import { TeamProjectReference6AsResponse } from "../definitions/TeamProjectReference6AsResponse";
export interface GitRepositoryAsResponse {
    _links?: ReferenceLinksAsResponse;
    defaultBranch?: string;
    id?: string;
    /**
     * True if the repository is disabled. False otherwise.
     */
    isDisabled?: boolean;
    /**
     * True if the repository was created as a fork.
     */
    isFork?: boolean;
    /**
     * True if the repository is in maintenance. False otherwise.
     */
    isInMaintenance?: boolean;
    name?: string;
    parentRepository?: GitRepositoryRefAsResponse;
    project?: TeamProjectReference6AsResponse;
    remoteUrl?: string;
    /**
     * Compressed size (bytes) of the repository.
     */
    size?: number;
    sshUrl?: string;
    url?: string;
    validRemoteUrls?: Array<string>;
    webUrl?: string;
}
//# sourceMappingURL=GitRepositoryAsResponse.d.ts.map