/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ReferenceLinksAsResponse } from "../definitions/ReferenceLinksAsResponse";
export interface GraphSubjectBaseAsResponse {
    _links?: ReferenceLinksAsResponse;
    /**
     * The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations.
     */
    descriptor?: string;
    /**
     * This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider.
     */
    displayName?: string;
    /**
     * This url is the full route to the source resource of this graph subject.
     */
    url?: string;
}
//# sourceMappingURL=GraphSubjectBaseAsResponse.d.ts.map