/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GitRepositoryAsResponse } from "../../definitions/GitRepositoryAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetGitRepositoryRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The name of the Azure DevOps organization.
     */
    organization: string;
    /**
     * The name or ID of the repository.
     */
    repositoryId: string;
    /**
     * Project ID or project name
     */
    project: string;
    /**
     * Version of the API to use.  This should be set to '7.2-preview.1' to use this version of the api.
     */
    "api-version": "7.2-preview.1";
}
declare type GetGitRepositoryResponseOKType = GitRepositoryAsResponse;
export interface GetGitRepositoryResponseOK extends GetGitRepositoryResponseOKType {
}
export declare type GetGitRepositoryResponseError = undefined;
export interface GetGitRepositoriesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The name of the Azure DevOps organization.
     */
    organization: string;
    /**
     * Project ID or project name
     */
    project: string;
    /**
     * [optional] True to include reference links. The default value is false.
     */
    includeLinks?: boolean;
    /**
     * [optional] True to include all remote URLs. The default value is false.
     */
    includeAllUrls?: boolean;
    /**
     * [optional] True to include hidden repositories. The default value is false.
     */
    includeHidden?: boolean;
    /**
     * Version of the API to use.  This should be set to '7.2-preview.1' to use this version of the api.
     */
    "api-version": "7.2-preview.1";
}
declare type GetGitRepositoriesResponseOKType = Array<GitRepositoryAsResponse>;
export interface GetGitRepositoriesResponseOK extends GetGitRepositoriesResponseOKType {
}
export declare type GetGitRepositoriesResponseError = undefined;
export {};
//# sourceMappingURL=repository.d.ts.map